//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public interface SpaceModule {
     public void start();
     public SpaceConfig getConfig();
     public void setConfig(SpaceConfig value);
     public void setUserCache(SpaceUserCache value);
     public void setProfile(SpaceProfile value);
     public void setServer(SpaceServer value);
     public void setRequest(SpaceRequest value);
     public void loadUser() throws SpaceException;
     public String getUser(String authenticator,String name) throws SpaceException;
     }
