//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public class SpaceModuleLoad {

//------------------------------------------------------------------------------
//  load module class
//------------------------------------------------------------------------------
static public SpaceModule getClass(String module) throws SpaceException {
     try {
          //--------------------------------------------------------------------
          //  make module name
          //--------------------------------------------------------------------
          String moduleName = null;

          if(module.equals("System")) {
               moduleName = module;
               }
          else {
               moduleName = InvisibleUtil.serp(module,"-","").toUpperCase();
               }

          //--------------------------------------------------------------------
          //  get an instance of the class
          //--------------------------------------------------------------------
          return((SpaceModule)(InvisibleUtil.getInstance("SpaceModule"+moduleName)));
          }
     catch(InvisibleException e) {
          throw new SpaceException("SpaceModuleLoad: Unknown Module: " + module);
          }
     }
}
