//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public class SpaceModuleREVERSE extends SpaceModuleThread {

//------------------------------------------------------------------------------
//  run
//------------------------------------------------------------------------------
public void run() {
     try {
          //--------------------------------------------------------------------
          //  see if channel start
          //--------------------------------------------------------------------
          if(isStart()) {
               start("");
               return;
               }

          //--------------------------------------------------------------------
          //  normal processing for the module
          //--------------------------------------------------------------------
          String reverse = (new StringBuffer(request.toString())).reverse().toString();

          //--------------------------------------------------------------------
          //  return a response
          //--------------------------------------------------------------------
          respond(reverse);

          //--------------------------------------------------------------------
          //  log the reverse response
          //--------------------------------------------------------------------
          log("reverse request complete");
          }
     catch(SpaceTimeout e) {
          //--------------------------------------------------------------------
          //  timeout
          //--------------------------------------------------------------------
          fatal(e);
          } 
     catch(SpaceException e) {
          //--------------------------------------------------------------------
          //  exception
          //--------------------------------------------------------------------
          fatal(e);
          }
     }
}
