//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License. 
//  You may obtain a copy of the License at http://www.invisible.net/
//
//  Software distributed under the License is distributed on an "AS IS" basis, 
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for 
//  the specific language governing rights and limitations under the License.
//------------------------------------------------------------------------------
//  InvisibleBase64 uses the following classes that are 
//  (c) COPYRIGHT MIT and INRIA, 1996. These were distributed
//  with the java-based Jigsaw server from w3c.org
//    Base64Encoder
//    Base64Decoder
//    Base64FormatException
//------------------------------------------------------------------------------
public class InvisibleBase64 {

//------------------------------------------------------------------------------
//  encode
//------------------------------------------------------------------------------
static public String encode(String s) {
     Base64Encoder b = new Base64Encoder(s);
     return(b.processString()) ;
     }

//------------------------------------------------------------------------------
//  decode
//------------------------------------------------------------------------------
static public String decode(String s) {
     try {
          Base64Decoder b = new Base64Decoder(s);
          return(b.processString());
          }
     catch(Base64FormatException e) {
          return(null);
          }
     }
}
