//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public class SpaceAuthenticatorCommon {

String                                  profile;
InvisibleVectorTable                    settings;

//------------------------------------------------------------------------------
//  constructor
//------------------------------------------------------------------------------
public SpaceAuthenticatorCommon() {
     settings = new InvisibleVectorTable();
     }

//------------------------------------------------------------------------------
//  constructor
//------------------------------------------------------------------------------
public SpaceAuthenticatorCommon(String profileArg) {
     this();
     profile = profileArg;
     }

//------------------------------------------------------------------------------
//  get authentication request
//------------------------------------------------------------------------------
public String getRequest(String authenticator) throws SpaceException {
     StringBuffer sb = new StringBuffer();
     sb.append("<blob>");
     sb.append(InvisibleBase64.encode("\0"+authenticator));
     sb.append("</blob>");
     return(sb.toString());
     }

//------------------------------------------------------------------------------
//  set a setting
//------------------------------------------------------------------------------
public void set(String key,String value) {
     settings.set(key,value);
     }

//------------------------------------------------------------------------------
//  bean property access methods
//------------------------------------------------------------------------------
public void setProfile(String value) { profile = value; }

public String getProfile() { return(profile); }
}
