//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public class SpaceMessageLoad {

//------------------------------------------------------------------------------
//  load message class
//------------------------------------------------------------------------------
static public SpaceMessage getClass(String localize) {
     try {
          //--------------------------------------------------------------------
          //  make localize name
          //--------------------------------------------------------------------
          String localizeName = null;

          if((localize == null) || (localize.length() == 0)) {
               localizeName = "ENUS";
               }
          else {
               localizeName = InvisibleUtil.serp(localize,"-","").toUpperCase();
               }

          //--------------------------------------------------------------------
          //  get an instance of the class
          //--------------------------------------------------------------------
          return((SpaceMessage)(InvisibleUtil.getInstance("SpaceMessage"+localizeName)));
          }
     catch(InvisibleException e) {
          return(null);
          }
     }
}
