//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public class InvisibleEmailContent {

String                                   name;
String                                   mime;
String                                   content;
String                                   charset;

//------------------------------------------------------------------------------
//  constructor
//------------------------------------------------------------------------------
public InvisibleEmailContent() {
     }

//------------------------------------------------------------------------------
//  set content type
//------------------------------------------------------------------------------
public void setContentType(String s) {
     //-------------------------------------------------------------------------
     //  get mime type
     //-------------------------------------------------------------------------
     int index = s.indexOf(";");
     if(index != -1) {
          mime = s.substring(0,index);
          }

     //-------------------------------------------------------------------------
     //  get charset
     //-------------------------------------------------------------------------
     charset = InvisibleUtil.getAttributeValue("charset",s);

     //-------------------------------------------------------------------------
     //  get name
     //-------------------------------------------------------------------------
     name = InvisibleUtil.getAttributeValue("name",s);
     }

//------------------------------------------------------------------------------
//  content length
//------------------------------------------------------------------------------
public int length() {
     if(content == null) return(0);
     return(content.length());
     }

//------------------------------------------------------------------------------
//  bean property access methods
//------------------------------------------------------------------------------
public void setName(String value) { name = value; }
public void setMime(String value) { mime = value; }
public void setContent(String value) { content = value; }
public void setCharset(String value) { charset = value; }

public String getName() { return(name); }
public String getMime() { return(mime); }
public String getContent() { return(content); }
public String getCharSet() { return(content); }
}
