//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
public class SpaceMessageIDEFAULT implements SpaceMessage {

//------------------------------------------------------------------------------
//  lookup message
//------------------------------------------------------------------------------
public String get(int messageCode) {
     if(messageCode == 421) return("service not available");
     if(messageCode == 450) return("requested action not taken");
     if(messageCode == 451) return("requested action aborted");
     if(messageCode == 454) return("temporary authentication failure");
     if(messageCode == 500) return("general syntax error");
     if(messageCode == 501) return("missing NUL separator");
     if(messageCode == 504) return("parameter not implemented");
     if(messageCode == 530) return("authentication required");
     if(messageCode == 534) return("authentication mechanism insufficient");
     if(messageCode == 535) return("authentication failure");
     if(messageCode == 537) return("action not authorized for user");
     if(messageCode == 538) return("authentication mechanism requires encryption");
     if(messageCode == 550) return("requested action not taken");
     if(messageCode == 553) return("parameter invalid");
     if(messageCode == 554) return("transaction failed");

     return(null);
     }
}
