//------------------------------------------------------------------------------
//  Copyright (c) 2000, Invisible Worlds, Inc. All rights reserved.
// 
//  The contents of this file are subject to the Blocks Public License (the 
//  "License"); you may not use this file except in compliance with the License.  
//  You may obtain a copy of the License at http://www.invisible.net/ 
// 
//  Software distributed under the License is distributed on an "AS IS" basis,  
//  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for  
//  the specific language governing rights and limitations under the License. 
//------------------------------------------------------------------------------
import java.util.StringTokenizer;
import java.util.NoSuchElementException;

public class SpaceRequestHeader extends SpaceHeader {

private int                             channel;

//------------------------------------------------------------------------------
//  constuctor
//------------------------------------------------------------------------------
public SpaceRequestHeader(String s) throws SpaceException {
     //-------------------------------------------------------------------------
     //  parse response header
     //-------------------------------------------------------------------------
     super(s);

     channel = InvisibleUtil.parseInt(parse(s,"REQ"));
     }

//------------------------------------------------------------------------------
//  bean property access methods
//------------------------------------------------------------------------------
public int getChannel() { return(channel); }
}
